package com.zd.laboratory.service;

import com.zd.laboratory.domain.LabSparseHardware;

import java.util.List;
import java.util.Map;

/**
 * 疏散硬件Service接口
 *
 * @author liubo
 * @date 2022-01-25
 */
public interface ILabSparseHardwareService
{
    /**
     * 查询疏散硬件
     *
     * @param id 疏散硬件主键
     * @return 疏散硬件
     */
    public LabSparseHardware selectLabSparseHardwareById(Long id);

    /**
     * 查询疏散硬件列表
     *
     * @param labSparseHardware 疏散硬件
     * @return 疏散硬件集合
     */
    public List<LabSparseHardware> selectLabSparseHardwareList(LabSparseHardware labSparseHardware);

    /**
     * 新增疏散硬件
     *
     * @param labSparseHardware 疏散硬件
     * @return 结果
     */
    public int insertLabSparseHardware(LabSparseHardware labSparseHardware);

    /**
     * 修改疏散硬件
     *
     * @param labSparseHardware 疏散硬件
     * @return 结果
     */
    public int updateLabSparseHardware(LabSparseHardware labSparseHardware);

    /**
     * 批量删除疏散硬件
     *
     * @param ids 需要删除的疏散硬件主键集合
     * @return 结果
     */
    public int deleteLabSparseHardwareByIds(Long[] ids);

    /**
     * 删除疏散硬件信息
     *
     * @param id 疏散硬件主键
     * @return 结果
     */
    public int deleteLabSparseHardwareById(Long id);

    /**
     * 根据楼层id查询摄像头列表
     * @param floorId
     * @return
     */
    List<String> selectCameraByFloorId(Long floorId);

    /**
     * 根据楼层id查询喇叭列表
     * @param floorId
     * @return
     */
    List<Map<String,Object>> selectSpeakerByFloorId(Long floorId, Long subId);
}
